<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_45) on Mon Mar 14 09:25:42 GMT 2016 -->
<title>N-Index</title>
<meta name="date" content="2016-03-14">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="N-Index";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-11.html">Prev Letter</a></li>
<li><a href="index-13.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-12.html" target="_top">Frames</a></li>
<li><a href="index-12.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="contentContainer"><a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">I</a>&nbsp;<a href="index-10.html">L</a>&nbsp;<a href="index-11.html">M</a>&nbsp;<a href="index-12.html">N</a>&nbsp;<a href="index-13.html">O</a>&nbsp;<a href="index-14.html">P</a>&nbsp;<a href="index-15.html">R</a>&nbsp;<a href="index-16.html">S</a>&nbsp;<a href="index-17.html">T</a>&nbsp;<a href="index-18.html">V</a>&nbsp;<a href="index-19.html">W</a>&nbsp;<a href="index-20.html">X</a>&nbsp;<a href="index-21.html">Y</a>&nbsp;<a name="I:N">
<!--   -->
</a>
<h2 class="title">N</h2>
<dl>
<dt><a href="../com/stefanomantini/solvers/NearestNeighbour.html" title="class in com.stefanomantini.solvers"><span class="typeNameLink">NearestNeighbour</span></a> - Class in <a href="../com/stefanomantini/solvers/package-summary.html">com.stefanomantini.solvers</a></dt>
<dd>
<div class="block">Nearest Neighbour:
 Start at any city after the starting node, then look through the 
 remaining vehicles and find the nearest city to that node, repeat 
 until there are no more cities to visit
 Loosely based on Peter Norvig's "nn_tsp" from: 
 -norvig.com/ipython/TSP.ipynb</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/stefanomantini/solvers/NearestNeighbour.html#NearestNeighbour--">NearestNeighbour()</a></span> - Constructor for class com.stefanomantini.solvers.<a href="../com/stefanomantini/solvers/NearestNeighbour.html" title="class in com.stefanomantini.solvers">NearestNeighbour</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/stefanomantini/solvers/NearestNeighbour.html#nearestNeighbour-com.stefanomantini.solvers.objects.Vehicle-java.util.ArrayList-com.stefanomantini.web.util.SolverRequestObject-">nearestNeighbour(Vehicle, ArrayList&lt;Vehicle&gt;, SolverRequestObject)</a></span> - Static method in class com.stefanomantini.solvers.<a href="../com/stefanomantini/solvers/NearestNeighbour.html" title="class in com.stefanomantini.solvers">NearestNeighbour</a></dt>
<dd>
<div class="block">Gets the nearest neighbour to a given vehicle, 
 given the next vehicle and unvisited nodes</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/stefanomantini/solvers/RepeatedNearestNeighbour.html#nearestNeighbourCalc-com.stefanomantini.solvers.objects.Vehicle-java.util.ArrayList-com.stefanomantini.web.util.SolverRequestObject-">nearestNeighbourCalc(Vehicle, ArrayList&lt;Vehicle&gt;, SolverRequestObject)</a></span> - Static method in class com.stefanomantini.solvers.<a href="../com/stefanomantini/solvers/RepeatedNearestNeighbour.html" title="class in com.stefanomantini.solvers">RepeatedNearestNeighbour</a></dt>
<dd>
<div class="block">Get the nearest vehicle to startnode</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/stefanomantini/solvers/RepeatedNearestNeighbour.html#nearestNeighbourHelper-java.util.ArrayList-java.util.ArrayList-com.stefanomantini.web.util.SolverRequestObject-">nearestNeighbourHelper(ArrayList&lt;Vehicle&gt;, ArrayList&lt;Vehicle&gt;, SolverRequestObject)</a></span> - Static method in class com.stefanomantini.solvers.<a href="../com/stefanomantini/solvers/RepeatedNearestNeighbour.html" title="class in com.stefanomantini.solvers">RepeatedNearestNeighbour</a></dt>
<dd>
<div class="block">Get nearest NeighbourHeper</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/stefanomantini/solvers/objects/Vehicle.html#nextParkingPosition">nextParkingPosition</a></span> - Variable in class com.stefanomantini.solvers.objects.<a href="../com/stefanomantini/solvers/objects/Vehicle.html" title="class in com.stefanomantini.solvers.objects">Vehicle</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/stefanomantini/solvers/MorroccoTangiers.html#nissanMethod-com.stefanomantini.solvers.objects.Vehicle-java.util.ArrayList-int-com.stefanomantini.web.util.SolverRequestObject-">nissanMethod(Vehicle, ArrayList&lt;Vehicle&gt;, int, SolverRequestObject)</a></span> - Static method in class com.stefanomantini.solvers.<a href="../com/stefanomantini/solvers/MorroccoTangiers.html" title="class in com.stefanomantini.solvers">MorroccoTangiers</a></dt>
<dd>
<div class="block">Calculates ED between next and every other node
 orders the list by ED, and chooses randomly from 
 the shortest 3
 randomly from the 3 closest</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/stefanomantini/web/util/SolverRequestObject.html#nVehicles">nVehicles</a></span> - Variable in class com.stefanomantini.web.util.<a href="../com/stefanomantini/web/util/SolverRequestObject.html" title="class in com.stefanomantini.web.util">SolverRequestObject</a></dt>
<dd>&nbsp;</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">I</a>&nbsp;<a href="index-10.html">L</a>&nbsp;<a href="index-11.html">M</a>&nbsp;<a href="index-12.html">N</a>&nbsp;<a href="index-13.html">O</a>&nbsp;<a href="index-14.html">P</a>&nbsp;<a href="index-15.html">R</a>&nbsp;<a href="index-16.html">S</a>&nbsp;<a href="index-17.html">T</a>&nbsp;<a href="index-18.html">V</a>&nbsp;<a href="index-19.html">W</a>&nbsp;<a href="index-20.html">X</a>&nbsp;<a href="index-21.html">Y</a>&nbsp;</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-11.html">Prev Letter</a></li>
<li><a href="index-13.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-12.html" target="_top">Frames</a></li>
<li><a href="index-12.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
